1. money69's Avatar
    Im sure this will seem like a stupid question for most people. I haven't used DM since version 4.6 but my friend is trying to install 5.0.0.328 on his Verizon Storm and I installed the new OS and I get a message stating that some sort of subscription is required to "Blackberry Service Subscription" which is just ridiculous. Anyway, how can I upgrade his device without this stupid new thing which RIM has seen fit to implement?

    Thanks in advance.
    11-28-09 07:41 PM
  2. my_2_cents's Avatar
    First thing I would suggest is to get the latest DM. I believe it is 5.0.1 now.

    Next, go to the OS forum for your particular device. Your profile says you have an 8320, but you're in the 9500/9530 forum. If you have a Storm, then the OS forum has a sticky at the top with detailed instructions. The likely step you missed was that you didn't delete the vendor.xml file prior to trying to install it.
    11-28-09 09:35 PM
  3. amavit's Avatar
    First thing I would suggest is to get the latest DM. I believe it is 5.0.1 now.

    Next, go to the OS forum for your particular device. Your profile says you have an 8320, but you're in the 9500/9530 forum. If you have a Storm, then the OS forum has a sticky at the top with detailed instructions. The likely step you missed was that you didn't delete the vendor.xml file prior to trying to install it.
    Just so you know, he's updating his friend's storm, he doesn't have one
    11-28-09 09:53 PM
  4. djm1947's Avatar
    Try looking at the link below, it will provide info on how to do the update. Assuming your firend currently has service on his storm, you should not be getting that message. Be sure you have the correct version of the OS. I suggest download and install from the Verizon site if you have not already done so.

    How to Install or Upgrade to a New RIM BlackBerry Operating System (OS) with AppLoader | CrackBerry.com
    11-28-09 10:01 PM
LINK TO POST COPIED TO CLIPBOARD